package com.sifang.modules.esign.query;


public class SignCallBackRes {

    private String action;      //标记该通知的业务类型

    private String signFlowId;    //签署流程ID

    private String customBizNum;        //自定义业务编号，取值【通过页面发起签署】中的customBizNum参数

    private String signOrder;       //签署人的签署顺序

    /**
     * 签署结果
     *
     * 2 - 签署完成，3 - 失败，4 - 拒签
    */
    private String signResult;

    private String resultDescription;   //拒签或失败时，附加的原因描述

    private Organization organization;

    public String getAction() {
        return action;
    }

    public void setAction(String action) {
        this.action = action;
    }

    public String getSignFlowId() {
        return signFlowId;
    }

    public void setSignFlowId(String signFlowId) {
        this.signFlowId = signFlowId;
    }

    public String getCustomBizNum() {
        return customBizNum;
    }

    public void setCustomBizNum(String customBizNum) {
        this.customBizNum = customBizNum;
    }

    public String getSignOrder() {
        return signOrder;
    }

    public void setSignOrder(String signOrder) {
        this.signOrder = signOrder;
    }

    public String getSignResult() {
        return signResult;
    }

    public void setSignResult(String signResult) {
        this.signResult = signResult;
    }

    public String getResultDescription() {
        return resultDescription;
    }

    public void setResultDescription(String resultDescription) {
        this.resultDescription = resultDescription;
    }

    public Organization getOrganization() {
        return organization;
    }

    public void setOrganization(Organization organization) {
        this.organization = organization;
    }

    @Override
    public String toString() {
        return "SignCallBackRes{" +
                "action='" + action + '\'' +
                ", signFlowId='" + signFlowId + '\'' +
                ", customBizNum='" + customBizNum + '\'' +
                ", signOrder='" + signOrder + '\'' +
                ", signResult='" + signResult + '\'' +
                '}';
    }
}
